curl --request POST \
--url https://app.hookie.ai/admin/api/projects/{project_id}/search/submissions \
--header 'Content-Type: application/json' \
--cookie hookie_session= \
--data '
{
"q": "<string>",
"source": "<string>",
"since": "<string>",
"until": "<string>",
"limit": 25,
"offset": 0,
"endpoint_id": "<string>"
}
'const options = {
method: 'POST',
headers: {cookie: 'hookie_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: '<string>',
source: '<string>',
since: '<string>',
until: '<string>',
limit: 25,
offset: 0,
endpoint_id: '<string>'
})
};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/search/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/search/submissions"
payload = {
"q": "<string>",
"source": "<string>",
"since": "<string>",
"until": "<string>",
"limit": 25,
"offset": 0,
"endpoint_id": "<string>"
}
headers = {
"cookie": "hookie_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entity": "submissions",
"count": 123,
"total": 123,
"limit": 123,
"offset": 123,
"results": [
{
"id": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"forward_status": "<string>",
"payload": "<string>",
"endpoint_id": "<string>",
"request_method": "<string>",
"content_type": "<string>",
"source_ip": "<string>",
"dedup_source": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}Search raw submissions
Top-level alias: POST /admin/api/search/submissions.
curl --request POST \
--url https://app.hookie.ai/admin/api/projects/{project_id}/search/submissions \
--header 'Content-Type: application/json' \
--cookie hookie_session= \
--data '
{
"q": "<string>",
"source": "<string>",
"since": "<string>",
"until": "<string>",
"limit": 25,
"offset": 0,
"endpoint_id": "<string>"
}
'const options = {
method: 'POST',
headers: {cookie: 'hookie_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: '<string>',
source: '<string>',
since: '<string>',
until: '<string>',
limit: 25,
offset: 0,
endpoint_id: '<string>'
})
};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/search/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/search/submissions"
payload = {
"q": "<string>",
"source": "<string>",
"since": "<string>",
"until": "<string>",
"limit": 25,
"offset": 0,
"endpoint_id": "<string>"
}
headers = {
"cookie": "hookie_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entity": "submissions",
"count": 123,
"total": 123,
"limit": 123,
"offset": 123,
"results": [
{
"id": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"forward_status": "<string>",
"payload": "<string>",
"endpoint_id": "<string>",
"request_method": "<string>",
"content_type": "<string>",
"source_ip": "<string>",
"dedup_source": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>",
"reason": "<string>",
"code": "agent_scope_insufficient",
"required_scope": "hookie:read",
"granted_scopes": [
"<string>"
],
"manage_url": "<string>",
"scheme": "<string>",
"max_members": 123,
"members": 123,
"customer_id": "<string>",
"customer_name": "<string>",
"account_id": "<string>",
"terms_version": "<string>",
"claim_required": true
}Authorizations
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Headers
Makes a POST safe to retry for 24 hours: the same key, credential, path and body returns the stored response (Idempotent-Replayed: true) instead of running again. 422 if the key was used for a different request; 409 while the first is in flight.
1 - 255Path Parameters
Project id (UUID) belonging to the caller workspace.
Body
All filters optional and ANDed.
Case-insensitive for common accented letters, as well as ASCII (full Unicode case folding is not supported, for example ß): a substring match against the raw submission payload.
Matched against forward_status.
pending, sent, failed, filtered ISO timestamp; matches received_at >= since.
ISO timestamp; matches received_at <= until.
1 <= x <= 200x >= 0Only submissions that arrived through this endpoint (webhook id) (#193).